۵ پلاگینی که امنیت وردپرس را قوی تر می کند

نویسنده: بابک حبیبی
تاریخ: ۱۳۸۷ - ۱۲ - ۱۶
دسته بندی: امنیت , وردپرس

سلام امروز به عنوان اولین پست می خوام ۵ پلاگینی که کمک می کنه سیستم مدیریتی وردپرستون قویتر بشه از نظر امنیتی رو معرفی کنم

وردپرس

۱-Limit Login Attempts
این پلاگین کاربری رو که بیشتر از ۴ دفعه پسورد رو اشتباه زده باشه ۲۰ دقیقه بلاک می کنه یعنی حق دسترسی کاربر رو می بنده(در تنظیمان تعداد دفعات رو میشه تغییر داد) این یه راه خوبیه برای جلوگیری از حملات Brute Force (ترجمه تقریبی به فارسی:فشار وحشیانه-بی رحمانه)

محدودیت لاگین در وردپرس

۲-Sabre
اگر شما از سیستم مدیریت ورپرسی استفاده می کنید که به هر کاربر اجازه می دهد به راحتی عضو شود و بعضی اوقات می بینید که کاربر هایی با اسمهای عجیب قریب و قلابی عضو میشوند,با این پلاگین می توانید جلوی این عضو شدن ها را بوسیله ی یه بوت بگیرید.چگونه؟!شما می توانید با گرفتن تاییده ی عکس یا ارائه دادن یه مسئله ی ساده ی ریاضی و پاسخگویی درست از طرف کاربر از واقعی بودن کاربر مطمئنتان کند.

امنیت وردپرس

۳-Semisecure Login
این پلاگین می تواند سیستم امنیتی رو افزایش دهد با استفاده از یک کلید عمومی برای پنهان کردن پسورد در طرف محیط کاربری.در این طرف سرور با رمز گشایی پسورد با استفاده از کلید خصوصی, رمز را زمرگشایی می شود.البته این افزونه به جاوا اسکریپت و پی اچ پی نیاز دارد.

۴-Bad Behavior
این پلاگین با کمک بانک اطلاعاتی Project Honey Pot تمام آی پی ها رو چک می کنه و مشخص می کنه که آیا این یه اسپم هست یا نه.اگر آی پی IP مشکوک باشه اون آی پی رو بلاک می کند و دسترسی اون آی پی به بلاگ شما رو قطع می کند.

۵-Secure WordPress
این پلاگین می تواند امنیت موقع نصب وردپرس شما رو با کمک چند عملیات کوچیک تضمین کند.این پلاگین اطلاعات مربوط به ورژن وردپرس شما رو از کسانی که ادمین بلاگ نباشن دور نگه می دارد(پنهان می کند) با درست کردن به فایل ایندکس index.php .

*تمام موارد ذکر شده با ورژن ۲٫۷ سازگار هستند.

منبع به زبان انگلیسی: ۵ Plugins to Keep WordPress Secure

برچسب: - - - -

درباره ی

بابک حبیبی،دانشجوی لیسانس نرم افزار،برنامه نویس پی اچ پی،طراح وب،یه سری تخصص هم در شبکه و مباحث امنیتی دارم.

Comments are closed.